diff --git a/components/libraries/timer/app_timer.c b/components/libraries/timer/app_timer.c
index 639a905..1fc49ce 100644
--- a/components/libraries/timer/app_timer.c
+++ b/components/libraries/timer/app_timer.c
@@ -51,6 +51,11 @@
 #include "app_scheduler.h"
 #endif
 
+#include "nrf_log.h"
+#define DBG(fmt, ...) NRF_LOG_INFO("%d: " fmt, __LINE__, ##__VA_ARGS__)
+
+
+
 #define RTC1_IRQ_PRI            APP_TIMER_CONFIG_IRQ_PRIORITY               /**< Priority of the RTC1 interrupt (used for checking for timeouts and executing timeout handlers). */
 #define SWI_IRQ_PRI             APP_TIMER_CONFIG_IRQ_PRIORITY               /**< Priority of the SWI  interrupt (used for updating the timer list). */
 
@@ -640,6 +645,7 @@ static bool list_insertions_handler(timer_node_t * p_restart_list_head)
         {
             p_timer->ticks_to_expire = ticks_diff_get(p_timer->ticks_at_start, m_ticks_latest) +
                                        p_timer->ticks_first_interval;
+            DBG("%p: at_start: %d, to_expire: %d last:%d", (uint32_t)p_timer, p_timer->ticks_at_start, p_timer->ticks_to_expire, m_ticks_latest);
         }
         else
         {
@@ -654,6 +660,7 @@ static bool list_insertions_handler(timer_node_t * p_restart_list_head)
             {
                 p_timer->ticks_to_expire = 0;
             }
+            DBG("%p: at_start: %d, to_expire: %d last:%d, delta:%d", (uint32_t)p_timer, p_timer->ticks_at_start, p_timer->ticks_to_expire, m_ticks_latest, delta_current_start);
         }
 
         p_timer->ticks_at_start       = 0;
